### Signal

# WebKit InputMethodContext::delete-surrounding

#### Declaration

    void
    delete_surrounding (
      WebKitInputMethodContext* self,
      gint offset,
      guint n_chars,
      gpointer user_data
    )

#### Description [src]

Emitted when the input method wants to delete the context surrounding the cursor. If `offset` is a negative value, it means a position before the cursor.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 2.28

#### Parameters

`offset` | `gint`
| The character offset from the cursor position of the text to be deleted.
`n_chars` | `guint`
| The number of characters to be deleted.